package sgc.portal.cw.cw0804.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0804.dto.CW08040001USearch;
import sgc.portal.cw.cw0804.model.CW08040001U;

import java.util.List;

@Mapper
public interface CW08040001UMapper {
	
	List<EasyHashMap<String, Object>> getRomInfo(CW08040001USearch search);
	
    List<EasyHashMap<String, Object>> getListDay(CW08040001USearch search);
    
    List<EasyHashMap<String, Object>> getListRom(CW08040001USearch search);
    
    List<EasyHashMap<String, Object>> getListRem(CW08040001USearch search);
    
    EasyHashMap<String, Object> getViewRem(CW08040001USearch search);
    
    List<EasyHashMap<String, Object>> getSelectRom(CW08040001USearch search);
    
    List<EasyHashMap<String, Object>> getSelectLoc(CW08040001USearch search);

    int insert(CW08040001U cW08040001U);

    int update(CW08040001U cW08040001U);

    int delete(CW08040001U cW08040001U);
}
